/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import { Contract, Signer, utils } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type {
  IToken,
  ITokenInterface,
} from "../../../../../../contracts/core/modules/join/HoldTokenJoinModule.sol/IToken";

const _abi = [
  {
    inputs: [
      {
        internalType: "address",
        name: "owner",
        type: "address",
      },
    ],
    name: "balanceOf",
    outputs: [
      {
        internalType: "uint256",
        name: "",
        type: "uint256",
      },
    ],
    stateMutability: "view",
    type: "function",
  },
] as const;

export class IToken__factory {
  static readonly abi = _abi;
  static createInterface(): ITokenInterface {
    return new utils.Interface(_abi) as ITokenInterface;
  }
  static connect(address: string, signerOrProvider: Signer | Provider): IToken {
    return new Contract(address, _abi, signerOrProvider) as IToken;
  }
}
